fcitx環境のQt5.4で日本語入力できるようにする

aptではなくQt Online Installerなどの公式が提供しているバイナリではfcitxを用いて日本語入力できない

これは plugins/platforminputcontextslibfcitxplatforminputcontextplugin.so が存在しないために起きてしまう

なのでlibfcitxplatforminputcontextplugin.so を別途用意する必要がある

手順:
1 . ソースのチェックアウト
$git clone https://github.com/fcitx/fcitx-qt5.git
$cd fcitx-qt5
$git checkout 0.1.3
2 . ソースの編集

CMakeLists.txt5行目をコメントアウト

#set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

3 . ビルド

CMAKE_PREFIX_PATH にはqtインストール先を指定

$cmake . -DCMAKE_PREFIX_PATH=/home/piyopiyo/QtHome/5.4/gcc_64
$make
4 . モジュールのコピー

src/libfcitxplatforminputcontextplugin.so が出来上がるので,

それを /home/piyopiyo/QtHome/5.4/gcc_64/plugins/platforminputcontexts などの plugins/platforminputcontexts へコピーする

4 . 設定 (行っていない場合)
.bashrc などに export QT_IM_MODULE=fcitx を追加

P.S:

なお, この問題をググって出てきた記事で apt-get fcitx-libs-qt5 でインストールした libfcitxplatforminputcontextplugin.so をコピーするというやり方が紹介されているが

上記の5.4などのaptで提供されていないものについてはセグフォってしまうので注意が必要だ